%  spring.m
% Matlab file for Part 1 of the Spring Motion module
global K m y0

disp('********************************************')
disp('Part 1:  The Undamped Spring ')
disp('********************************************')
disp('  ')    

    format short

    disp('Step 1: ')
    disp('If you want to use our data, then at the MATLAB')
    disp('prompt, enter:')
    disp(' ')
    disp('  undamp_data ')
    disp(' ')
    disp('If you have collected your own data, then fill')
    disp('in the values below and enter in your worksheet:')
    disp(' ')
    disp('  n  = ?    % number of data points')
    disp('  dt = ?    % time step between points')
    disp('  K  = ?    % spring constant')
    disp('  m  = ?    % total mass')
    disp('  distance = [?,?,?,... ]; % distances ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('-------------------------------------------------')
    disp('Before proceeding, we first we need to subtract')
    disp('the mean of the distances in our data set from')
    disp('each point to get displacements from equilibrium.')
    disp('Enter: ')
    disp(' ')
    disp('  mdist=mean(distance) ')
    disp('  equidist=distance-mdist; ')
    disp(' ')
    disp('----------------------------------------------- ')
    disp('Note that the first displacement is equidist(1).')
    disp('Enter:')
    disp(' ') 
    disp('  y0=equidist(1)')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 2:')
    disp('Fill in the ''''Y='''' definition below for')
    disp('your model function and compute the distances')
    disp('from the equilibrium position predicted by your')
    disp('model over the time interval 0 to 8 seconds.')
    disp('  (Use the symbols y0, K, and m in your model')
    disp('   function''s definition.) ')
    disp(' ')
    disp('Complete and enter the commands:')
    disp(' ')
    disp('  t=0:0.01:8; ')
    disp('  Y= ??   % compute model function')
    disp(' ')
    disp('In step 3, we will graph our model function.')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('-----------------------------------------------')
    disp('Step 3 (cont.):')
    disp('Now let''s plot the (time, equidist) pairs')
    disp('together with the model function Y(t).')
    disp('Enter:')
    disp(' ')
    disp(' times=0:dt:(n-1)*dt; ')
    disp(' plot(times,equidist,''bo'') ')
    disp(' xlabel(''time (sec) '') ')
    disp(' ylabel(''distances from equilibrium (m)'') ')
    disp(' title(''Undamped Spring-Mass System'') ')
    disp(' grid on ')
    disp(' hold on ')
    disp(' plot(t,Y,''r'')  ')
    disp(' ')
    disp('------------------------------------------------')
    disp('Make any changes in the model fuction that seem')
    disp('necessary and replot the graph.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 4:')
    disp('Discuss the fit of your model to the data.')
    disp('What might account for the differences?')
    disp('Answer as MATLAB comments in your diary file.')
    disp(' ')
    disp(' ')
    disp('----------------------------------------------')
    disp('When you are finished with part 1, to go on to')
    disp('part 2 of this module, type: spring2.')
    disp(' ')